| QxOrm 1.4.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- File List
- File Members

Namespaces | Defines | Functions
QxHashValue.h File Reference
QxCommon : QxOrm library common tools and macros

Specialize hash_value function for some Qt and boost types (used for example by qx::QxCollection<Key, Value> container) More...

`#include <QtCore/qstring.h>`
`#include <QtCore/qdatetime.h>`
`#include <QtCore/qvariant.h>`
`#include <QtCore/qpair.h>`

Go to the source code of this file.

## Namespaces
namespace | qx
| Root namespace for all QxOrm library features.
namespace | boost
namespace | boost::tuples
namespace | std
## Defines
#define | qx_hash_result std::size_t
## Functions
std::size_t | hash_value (const QString &s)
std::size_t | hash_value (const QVariant &v)
std::size_t | hash_value (const QDate &d)
std::size_t | hash_value (const QTime &t)
std::size_t | hash_value (const QDateTime &dt)
qx_hash_result | qHash (const QVariant &v)
template<class T >
void | qx::hash_combine (std::size_t &seed, const T &t)
template<typename T0 , typename T1 >
std::size_t | hash_value (const QPair< T0, T1 > &p)
template<typename T0 , typename T1 >
std::size_t | boost::tuples::hash_value (const boost::tuple< T0, T1 > &tu)
template<typename T0 , class T1 , typename T2 >
std::size_t | boost::tuples::hash_value (const boost::tuple< T0, T1, T2 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 >
std::size_t | boost::tuples::hash_value (const boost::tuple< T0, T1, T2, T3 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >
std::size_t | boost::tuples::hash_value (const boost::tuple< T0, T1, T2, T3, T4 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >
std::size_t | boost::tuples::hash_value (const boost::tuple< T0, T1, T2, T3, T4, T5 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >
std::size_t | boost::tuples::hash_value (const boost::tuple< T0, T1, T2, T3, T4, T5, T6 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >
std::size_t | boost::tuples::hash_value (const boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >
std::size_t | boost::tuples::hash_value (const boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >
std::size_t | boost::tuples::hash_value (const boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > &tu)
template<typename T0 , typename T1 >
qx_hash_result | boost::tuples::qHash (const boost::tuple< T0, T1 > &tu)
template<typename T0 , class T1 , typename T2 >
qx_hash_result | boost::tuples::qHash (const boost::tuple< T0, T1, T2 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 >
qx_hash_result | boost::tuples::qHash (const boost::tuple< T0, T1, T2, T3 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >
qx_hash_result | boost::tuples::qHash (const boost::tuple< T0, T1, T2, T3, T4 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >
qx_hash_result | boost::tuples::qHash (const boost::tuple< T0, T1, T2, T3, T4, T5 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >
qx_hash_result | boost::tuples::qHash (const boost::tuple< T0, T1, T2, T3, T4, T5, T6 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >
qx_hash_result | boost::tuples::qHash (const boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >
qx_hash_result | boost::tuples::qHash (const boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >
qx_hash_result | boost::tuples::qHash (const boost::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > &tu)
qx_hash_result | std::qHash (const std::string &s)
qx_hash_result | std::qHash (const std::wstring &s)
template<typename T0 , typename T1 >
std::size_t | std::hash_value (const std::tuple< T0, T1 > &tu)
template<typename T0 , class T1 , typename T2 >
std::size_t | std::hash_value (const std::tuple< T0, T1, T2 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 >
std::size_t | std::hash_value (const std::tuple< T0, T1, T2, T3 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >
std::size_t | std::hash_value (const std::tuple< T0, T1, T2, T3, T4 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >
std::size_t | std::hash_value (const std::tuple< T0, T1, T2, T3, T4, T5 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >
std::size_t | std::hash_value (const std::tuple< T0, T1, T2, T3, T4, T5, T6 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >
std::size_t | std::hash_value (const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >
std::size_t | std::hash_value (const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >
std::size_t | std::hash_value (const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > &tu)
template<typename T0 , typename T1 >
qx_hash_result | std::qHash (const std::tuple< T0, T1 > &tu)
template<typename T0 , class T1 , typename T2 >
qx_hash_result | std::qHash (const std::tuple< T0, T1, T2 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 >
qx_hash_result | std::qHash (const std::tuple< T0, T1, T2, T3 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >
qx_hash_result | std::qHash (const std::tuple< T0, T1, T2, T3, T4 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >
qx_hash_result | std::qHash (const std::tuple< T0, T1, T2, T3, T4, T5 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >
qx_hash_result | std::qHash (const std::tuple< T0, T1, T2, T3, T4, T5, T6 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >
qx_hash_result | std::qHash (const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >
qx_hash_result | std::qHash (const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >
qx_hash_result | std::qHash (const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > &tu)

## Detailed Description

Specialize hash_value function for some Qt and boost types (used for example by qx::QxCollection<Key, Value> container)

Author:
  Lionel Marty

Definition in file QxHashValue.h.

## Define Documentation

#define qx_hash_result std::size_t

Definition at line 54 of file QxHashValue.h.

## Function Documentation

std::size_t hash_value | ( | const QString & | s | ) | `[inline]`

Definition at line 57 of file QxHashValue.h.

std::size_t hash_value | ( | const QVariant & | v | ) | `[inline]`

Definition at line 58 of file QxHashValue.h.

std::size_t hash_value | ( | const QDate & | d | ) | `[inline]`

Definition at line 59 of file QxHashValue.h.

std::size_t hash_value | ( | const QTime & | t | ) | `[inline]`

Definition at line 60 of file QxHashValue.h.

std::size_t hash_value | ( | const QDateTime & | dt | ) | `[inline]`

Definition at line 61 of file QxHashValue.h.

template<typename T0 , typename T1 >

std::size_t hash_value | ( | const QPair< T0, T1 > & | p | ) | `[inline]`

Definition at line 78 of file QxHashValue.h.

qx_hash_result qHash | ( | const QVariant & | v | ) | `[inline]`

Definition at line 63 of file QxHashValue.h.